<p>title: Menggunakan Method GET
description:</p>
<hr />
<p>Sebelumnya kita telah membahas menangkap data dari form dengan menggunakan metode GET ataupun POST pada tahap ini kita akan mengimplementasikan dan melihat perbedaan kedua metode tersebut agar kita dapat paham.</p>
<h2>Praktek</h2>
<ul>
<li>
<p>Sebelum kita implementasikan metode GET kita buka terlebih dahulu Text Editor, kemudian buatlah form menggunakan html dengan tag <code>&lt;form...&lt;/form&gt;</code> buatlah nama dan alamat dengan <code>&lt;input type...&lt;/input&gt;</code> untuk type nama dan alamat isikan dengan text  dan tombol submit dengan type submit seperti kode dibawah ini, kemudian simpan script dengan nama get.php di htdoc agar bisa ditampilkan pada browser anda, pastikan server apache xampp Kamu berjalan.</p>
<pre><code>&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;head&gt;
&lt;title&gt;&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;form action="#" method="get"&gt;
&lt;input type="text" name="nama" placeholder="Nama Kita"&gt;&lt;/input&gt;&lt;br/&gt;
&lt;input type="text" name="alamat" placeholder="Alamat Kita"&gt;&lt;/input&gt;&lt;br/&gt;
&lt;input type="submit" name="submit" value="Submit"&gt;&lt;/input&gt;
&lt;/form&gt;
&lt;/body&gt;
&lt;/html&gt;</code></pre>
<p>​</p>
</li>
<li>
<p>Setelah form html telah dibuat kita bisa membuat proses GET sendiri dengan cara buka new file pada Text Editor kita, kemudian copy paste script dibawah ini, kemudian simpan file tersebut dengan nama proses.php disatu folder yang sama dengan script get.php.</p>
<pre><code>&lt;?php
if(isset($_GET['fnama']))
{
$fnama = $_GET['fnama'];
$lalamat = $_GET['lalamat'];
echo "&lt;span class='success'&gt;Dengan &lt;b&gt;METODE GET&lt;/b&gt;&lt;/span&gt;&lt;br/&gt;";
echo "Nama : ".$fnama."&lt;br/&gt;Alamat : ".$lalamat;
}
?&gt;</code></pre>
</li>
<li>
<p>Untuk memanggil proses.php pada form html kita bisa menggunakan perintah <code>&lt;?php include "proses.php";?&gt;</code> yang disisipkan dibagian get.php agar metode get berhasil berjalan, sebenarnya kita dapat langsung memasukan script dari kode proses.php dibagian get.php namun cara itu tidak di anjurkan bila kita ingin script kita tersusun rapih.</p>
</li>
<li>
<p>Kemudian akses file get.php pada browser Kamu dengan url : localhost/get.php lalu inputkan nama dan alamat selanjutnya submit, perhatikan pada bagian url, agar perbedaanya bisa kita ketahui kita bisa merubah method <code>get</code> menjadi <code>post</code> pada bagian script get.php, dan  juga pada bagian script proses.php .</p>
</li>
</ul>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>